<?php
// $Id: database.inc,v 1.3 2008/01/02 08:38:21 drumm Exp $

/**
 * @file
 * I got tired of typing everything twice. I was on an airplane and did not
 * realize it has all been implemented in Drupal 6.
 */

function legislature_select($table, $keys, $where_keys, $data, $placeholder_map) {
  $placeholders = array();
  $arguments = array();
  foreach ($where_keys as $key) {
    $placeholders[] = $key .' = '. $placeholder_map[$key];
    $arguments[] = $data[$key];
  }
  return db_query('SELECT '. implode(', ', $keys) .' FROM {'. $table .'} WHERE '. implode(' AND ', $placeholders), $arguments);
}

function legislature_insert($table, $data, $placeholder_map) {
  $placeholders = array();
  foreach ($data as $key => $value) {
    $placeholders[] = $placeholder_map[$key];
  }

  db_query('INSERT INTO {'. $table .'} ('. implode(', ', array_keys($data)) .') VALUES ('. implode(', ', $placeholders) .') ', $data);
}

function legislature_update($table, $where_key, $data, $placeholder_map) {
  $where_value = $data[$where_key];
  unset($data[$where_key]);

  $set = array();
  foreach ($data as $key => $value) {
    $set[] = $key .' = '. $placeholder_map[$key];
  }

  $data[$where_key] = $where_value;

  db_query('UPDATE {'. $table .'} SET '. implode(', ', $set) .' WHERE '. $where_key .' = '. $placeholder_map[$where_key], $data);
}
